# filter out bogus auto-requires
%global __requires_exclude ^typelib\\(Gnome)

Name:		terminator
Version:	2.1.4
Release:	%mkrel 1
Summary:	A simple way to run multiple terminals in a single window
License:	GPLv2
Group:		Terminals
Url:		https://github.com/gnome-terminator
Source0:	https://github.com/gnome-terminator/terminator/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch0:		terminator-1.91-desktop.patch
BuildArch:	noarch
BuildRequires:	intltool
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(babel)
BuildRequires:	python3dist(pytest-runner)

Requires:	python3dist(pycairo)
Requires:	python3dist(configobj)
Requires:	python3dist(pygobject)
Requires:	python3dist(psutil)

%description
Terminator is an attempt to maximise useful space on a given desktop
for terminals. It is a simple Python script that places multiple vte
widgets (the same used by gnome-terminal) in a window. That's the same
widget used by gnome-terminal.

%prep
%autosetup -p1

%build
%py3_build

%install
%py3_install

%find_lang %{name}

%files -f %{name}.lang
%doc README.md
%{_bindir}/%{name}
%{_bindir}/remotinator
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.metainfo.xml
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/%{name}*.svg
%{_iconsdir}/HighContrast/*/*/*.png
%{_iconsdir}/HighContrast/*/*/%{name}*.svg
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/terminatorlib/
%{_mandir}/man1/%{name}.*
%{_mandir}/man5/%{name}_config.*


%changelog
* Mon Jun 17 2024 daviddavid <daviddavid> 2.1.4-1.mga10
+ Revision: 2074587
- new version: 2.1.4

* Tue Dec 19 2023 papoteur <papoteur> 2.1.3-2.mga10
+ Revision: 2019413
- Mass Rebuild - Python 3.12

* Sat Mar 11 2023 daviddavid <daviddavid> 2.1.3-1.mga9
+ Revision: 1948572
- new version: 2.1.3

* Sun Nov 06 2022 daviddavid <daviddavid> 2.1.2-1.mga9
+ Revision: 1903934
- new version: 2.1.2
- remove no more needed without-icon-cache patch

* Sun Mar 27 2022 umeabot <umeabot> 2.1.1-3.mga9
+ Revision: 1828871
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tmb <tmb> 2.1.1-2.mga9
+ Revision: 1774920
- rebuild for python 3.10

* Tue Apr 06 2021 daviddavid <daviddavid> 2.1.1-1.mga9
+ Revision: 1713794
- new version: 2.1.1

* Sat Mar 20 2021 daviddavid <daviddavid> 2.1.0-2.mga9
+ Revision: 1705239
- rebuild for python 3.9

* Sat Jan 09 2021 daviddavid <daviddavid> 2.1.0-1.mga8
+ Revision: 1669983
- new version: 2.1.0

* Tue Oct 27 2020 daviddavid <daviddavid> 2.0.1-1.mga8
+ Revision: 1639766
- new version: 2.0.1

* Sun Apr 19 2020 daviddavid <daviddavid> 1.92-1.mga8
+ Revision: 1569824
- new version: 1.92

* Sun Feb 16 2020 umeabot <umeabot> 1.91-6.mga8
+ Revision: 1531752
- Mageia 8 Mass Rebuild

* Sat Sep 14 2019 daviddavid <daviddavid> 1.91-5.mga8
+ Revision: 1440809
- rebuild for python3.8

* Tue Sep 03 2019 daviddavid <daviddavid> 1.91-4.mga8
+ Revision: 1436673
- add debian patches to port to Python 3

* Fri Sep 21 2018 daviddavid <daviddavid> 1.91-3.mga7
+ Revision: 1292692
- filter out bogus auto-requires on typelib(Gnome)

* Fri Sep 21 2018 umeabot <umeabot> 1.91-2.mga7
+ Revision: 1291753
- Mageia 7 Mass Rebuild

* Sat Jul 29 2017 daviddavid <daviddavid> 1.91-1.mga7
+ Revision: 1132240
- new version: 1.91
- switch to GTK3
- rename and rediff desktop patch

* Fri Nov 25 2016 daviddavid <daviddavid> 1.0-1.mga6
+ Revision: 1070130
- new version: 1.0
- use new python macros

* Sat Feb 20 2016 umeabot <umeabot> 0.98-3.mga6
+ Revision: 971497
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 daviddavid <daviddavid> 0.98-2.mga6
+ Revision: 891676
- apply patch from upstream for fixing RHBZ#1268289 and add dependency to python-psutils

* Wed Sep 09 2015 daviddavid <daviddavid> 0.98-1.mga6
+ Revision: 875312
- new version: 0.98
- update URL and Source URL
- use python2 macros
- update file list

* Wed Oct 15 2014 umeabot <umeabot> 0.97-7.mga5
+ Revision: 743753
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.97-6.mga5
+ Revision: 730600
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.97-5.mga5
+ Revision: 689830
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.97-3.mga4
+ Revision: 544608
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.97-2.mga4
+ Revision: 499908
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu May 23 2013 kharec <kharec> 0.97-1.mga4
+ Revision: 425170
- update to 0.97

* Mon Jan 14 2013 umeabot <umeabot> 0.96-4.mga3
+ Revision: 384377
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 03 2012 lebedov <lebedov> 0.96-3.mga2
+ Revision: 204275
- Suggest python-keybinder and python-notify (#4395).
  Correct webpage URI.

* Sun Jan 22 2012 lebedov <lebedov> 0.96-2.mga2
+ Revision: 199407
- Require pygtk2.0 on installation (#3612).

* Tue Oct 04 2011 lebedov <lebedov> 0.96-1.mga2
+ Revision: 151431
- Update to 0.96.

* Thu Mar 03 2011 saispo <saispo> 0.95-1.mga1
+ Revision: 63349
- imported package terminator

